NX Open C++ Reference Guide
|
Represents a collection of smart Point . More...
Classes | |
class | iterator |
Iterator for accessing the contents of the collection. More... | |
Public Types | |
enum | AlongCurveOption { AlongCurveOptionDistance, AlongCurveOptionPercent } |
Describes whether the input Scalar to the PointCollection::CreatePoint method is either an absolute distance or a relative percentage. More... | |
enum | PointOnCurveLocationOption { PointOnCurveLocationOptionParameter, PointOnCurveLocationOptionPercentParameter, PointOnCurveLocationOptionArcLength, PointOnCurveLocationOptionPercentArcLength } |
Describes whether the input Scalar to the PointCollection::CreatePoint method is a relative percentage parameter or an absolute arc length or a relative percentage arc length. More... | |
Public Member Functions | |
iterator | begin () |
Returns an iterator addressing the first element. | |
NXOpen::Point * | CreatePoint (const NXOpen::Point3d &coordinates) |
Creates a Point without parameters. | |
NXOpen::Point * | CreatePoint (NXOpen::Offset *offset, NXOpen::Point *offsetPoint, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point using a Point and an Offset . | |
NXOpen::Point * | CreatePoint (NXOpen::IParameterizedSurface *face, NXOpen::Scalar *scalarU, NXOpen::Scalar *scalarV, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point on a Surface or Face via U-V Scalar for the surface. | |
NXOpen::Point * | CreatePoint (NXOpen::View *view, NXOpen::IBaseCurve *edgeCurve1, NXOpen::IBaseCurve *edgeCurve2, const NXOpen::Point3d &helpPt, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point on the intersection of two Curve and/or Edge in a View. | |
NXOpen::Point * | CreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::Scalar *scalarT, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point on a Curve or Edge and Scalar representing the T parameter. | |
NXOpen::Point * | CreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::Scalar *scalarT, NXOpen::PointCollection::PointOnCurveLocationOption locationOption, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point on a Curve or Edge and Scalar representing the Percent parameter or Arc Length or Percent Arc Length. | |
NXOpen::Point * | CreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::Scalar *scalarT, NXOpen::SmartObject::UpdateOption updateOption, bool useReverseParameter) |
Creates a Point on a Curve or Edge and Scalar representing the T parameter. | |
NXOpen::Point * | CreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::Point *pointOffset, NXOpen::Scalar *distancePercent, NXOpen::PointCollection::AlongCurveOption option, NXOpen::Sense sense, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point along a Curve or Edge using a Point , and a Scalar representing the T parameter along the Curve . | |
NXOpen::Point * | CreatePoint (NXOpen::Scalar *scalarX, NXOpen::Scalar *scalarY, NXOpen::Scalar *scalarZ, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point via three Scalar . | |
NXOpen::Point * | CreatePoint (NXOpen::Point *pointExtract, NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point via an existing Point using an optional Xform . | |
NXOpen::Point * | CreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::Scalar *angle, NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point at an angle along an IBaseCurve . | |
NXOpen::Point * | CreatePoint (NXOpen::IBaseCurve *edgeCurve, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point via the center of an Edge or Curve . | |
NXOpen::Point * | CreatePoint (NXOpen::IBaseCurve *curve1, NXOpen::IBaseCurve *curve2, NXOpen::Point *helpPt1, NXOpen::Point *helpPt2, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point at the intersection of two Edges or Curves. | |
NXOpen::Point * | CreatePoint (NXOpen::IBaseCurve *curve1, NXOpen::IBaseCurve *curve2, const NXOpen::Point3d &startPoint, NXOpen::View *view, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point at the apparent intersection of two Edges or Curves in a view. | |
NXOpen::Point * | CreatePoint (NXOpen::IParameterizedSurface *face, NXOpen::IBaseCurve *curve, NXOpen::Point *helpPt1, NXOpen::Point *helpPt2, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point at the intersection of a IParameterizedSurface and IBaseCurve . | |
NXOpen::Point * | CreatePoint (NXOpen::IBasePlane *plane, NXOpen::IBaseCurve *curve, NXOpen::Point *helpPt1, NXOpen::Point *helpPt2, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point at the intersection of a IBasePlane and IBaseCurve . | |
NXOpen::Point * | CreatePoint (NXOpen::IParameterizedSurface *sphericalFace, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point at the center of a spherical face. | |
NXOpen::Point * | CreatePoint (NXOpen::Routing::IRoutePosition *routePosition, NXOpen::Xform *xform, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point at the given Routing::IRoutePosition . | |
NXOpen::Point * | CreatePoint (NXOpen::CartesianCoordinateSystem *csys, NXOpen::Scalar *scalarX, NXOpen::Scalar *scalarY, NXOpen::Scalar *scalarZ, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point via CartesianCoordinateSystem and three Scalar . | |
NXOpen::Point * | CreatePoint (NXOpen::Point *point1, NXOpen::Point *point2, NXOpen::Scalar *distancePercentage, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point between two points using a Scalar that represents a percentage of the distance between the points. | |
NXOpen::Point * | CreatePoint (NXOpen::Expression *exp, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point via an Expression . | |
NXOpen::Point * | CreatePoint (NXOpen::CAE::CAEFace *face, NXOpen::Point *projectedPoint, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a point by projecting onto a face. | |
NXOpen::Point * | CreatePoint (NXOpen::ScCollector *faces, NXOpen::IBaseCurve *curve, NXOpen::Point *helpPt1, NXOpen::Point *helpPt2, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point at the intersection of a connected set of faces and IBaseCurve . | |
NXOpen::Point * | CreatePoint (NXOpen::SmartObject::UpdateOption updateOption, NXOpen::Annotations::Annotation *annotation, NXOpen::Scalar *t, int side, int block, bool attachFcfToDim) |
Creates a Point on a Annotations::Annotation and Scalar representing the T parameter. | |
NXOpen::Point * | CreatePoint (NXOpen::IBaseCurve *splarc, NXOpen::View *view) |
Creates a Point at the center of a splarc. | |
NXOpen::Point * | CreatePointOnPortExtractAlign (NXOpen::SmartObject::UpdateOption updateOption, NXOpen::Routing::Port *port, NXOpen::Scalar *distance) |
Creates a Point at a Routing::Port . | |
NXOpen::Point * | CreatePointOnSectionCG (NXOpen::SmartObject::UpdateOption updateOption, NXOpen::TaggedObject *face) |
Creates a Point on the center of gravity of the sketch for a given sheet metal feature face in history free mode. | |
NXOpen::Point * | CreatePointOnSurfaceAxis (NXOpen::TaggedObject *face, NXOpen::Scalar *parameter, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a parameterised point on the center line axis of the given face. | |
NXOpen::Point * | CreateQuadrantPoint (NXOpen::IBaseCurve *curveOrEdge, int quadrant, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a quadrant point. | |
NXOpen::Point * | CreateStockOffsetPoint (NXOpen::Point *basePoint, NXOpen::Direction *offsetDirr, const NXString &offsetExpression, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Routing "Stock Offset" point. | |
NXOpen::Point * | CreateStockOffsetPoint (NXOpen::Point *basePoint, NXOpen::Direction *offsetDirr, const char *offsetExpression, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Routing "Stock Offset" point. | |
NXOpen::Point * | CreateVirtualIntersectionPoint (NXOpen::IBaseCurve *curve1, NXOpen::IBaseCurve *curve2, NXOpen::Point *helpPt1, NXOpen::Point *helpPt2, NXOpen::SmartObject::UpdateOption updateOption) |
Creates a Point at the virtual intersection of two linear Edges or Curves. | |
void | DeletePoint (NXOpen::Point *point) |
Deletes a Point by adding the point to the delete list and then updating the delete list without performing a general update. | |
iterator | end () |
Returns an iterator addressing one past the last element. | |
NXOpen::Point * | FindObject (const NXString &journalIdentifier) |
Finds the Point with the given identifier as recorded in a journal. | |
NXOpen::Point * | FindObject (const char *journalIdentifier) |
Finds the Point with the given identifier as recorded in a journal. | |
void | RemoveParameters (NXOpen::Point *point) |
Removes the parameters from an associative Point . | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a collection of smart Point .
To obtain an instance of this class, refer to BasePart
Created in NX3.0.0.
Describes whether the input Scalar to the PointCollection::CreatePoint method is either an absolute distance or a relative percentage.
Describes whether the input Scalar to the PointCollection::CreatePoint method is a relative percentage parameter or an absolute arc length or a relative percentage arc length.
PointOnCurveLocationOptionParameter |
Scalar is curve parameter. |
PointOnCurveLocationOptionPercentParameter |
Scalar is a relative percentage parameter. |
PointOnCurveLocationOptionArcLength |
Scalar is an absolute arc length. |
PointOnCurveLocationOptionPercentArcLength |
Scalar is a relative percentage arc length. |
iterator NXOpen::PointCollection::begin | ( | ) |
Returns an iterator addressing the first element.
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | const NXOpen::Point3d & | coordinates | ) |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::Offset * | offset, |
NXOpen::Point * | offsetPoint, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IParameterizedSurface * | face, |
NXOpen::Scalar * | scalarU, | ||
NXOpen::Scalar * | scalarV, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point on a Surface or Face via U-V Scalar for the surface.
@return
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
face | face |
scalarU | U parameter |
scalarV | V parameter |
updateOption | update option |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::View * | view, |
NXOpen::IBaseCurve * | edgeCurve1, | ||
NXOpen::IBaseCurve * | edgeCurve2, | ||
const NXOpen::Point3d & | helpPt, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IBaseCurve * | edgeCurve, |
NXOpen::Scalar * | scalarT, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IBaseCurve * | edgeCurve, |
NXOpen::Scalar * | scalarT, | ||
NXOpen::PointCollection::PointOnCurveLocationOption | locationOption, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IBaseCurve * | edgeCurve, |
NXOpen::Scalar * | scalarT, | ||
NXOpen::SmartObject::UpdateOption | updateOption, | ||
bool | useReverseParameter | ||
) |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IBaseCurve * | edgeCurve, |
NXOpen::Point * | pointOffset, | ||
NXOpen::Scalar * | distancePercent, | ||
NXOpen::PointCollection::AlongCurveOption | option, | ||
NXOpen::Sense | sense, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point along a Curve or Edge using a Point , and a Scalar representing the T parameter along the Curve .
This Point is derived by finding the closest Point on the given curve to the given Point and then offsetting this Point along the given Curve by the arc length defined by T via absolute distance or relative percent.
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::Scalar * | scalarX, |
NXOpen::Scalar * | scalarY, | ||
NXOpen::Scalar * | scalarZ, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::Point * | pointExtract, |
NXOpen::Xform * | xform, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IBaseCurve * | edgeCurve, |
NXOpen::Scalar * | angle, | ||
NXOpen::Xform * | xform, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point at an angle along an IBaseCurve .
@return
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
edgeCurve | edge curve |
angle | angle in radians |
xform | optional Xform |
updateOption | update option |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IBaseCurve * | edgeCurve, |
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IBaseCurve * | curve1, |
NXOpen::IBaseCurve * | curve2, | ||
NXOpen::Point * | helpPt1, | ||
NXOpen::Point * | helpPt2, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point at the intersection of two Edges or Curves.
@return
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IBaseCurve * | curve1, |
NXOpen::IBaseCurve * | curve2, | ||
const NXOpen::Point3d & | startPoint, | ||
NXOpen::View * | view, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point at the apparent intersection of two Edges or Curves in a view.
@return
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IParameterizedSurface * | face, |
NXOpen::IBaseCurve * | curve, | ||
NXOpen::Point * | helpPt1, | ||
NXOpen::Point * | helpPt2, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point at the intersection of a IParameterizedSurface and IBaseCurve .
@return
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IBasePlane * | plane, |
NXOpen::IBaseCurve * | curve, | ||
NXOpen::Point * | helpPt1, | ||
NXOpen::Point * | helpPt2, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point at the intersection of a IBasePlane and IBaseCurve .
@return
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IParameterizedSurface * | sphericalFace, |
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point at the center of a spherical face.
@return
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
sphericalFace | spherical face |
updateOption | update option |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::Routing::IRoutePosition * | routePosition, |
NXOpen::Xform * | xform, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point at the given Routing::IRoutePosition .
@return
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
routePosition | route position |
xform | optional Xform |
updateOption | update option |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::CartesianCoordinateSystem * | csys, |
NXOpen::Scalar * | scalarX, | ||
NXOpen::Scalar * | scalarY, | ||
NXOpen::Scalar * | scalarZ, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point via CartesianCoordinateSystem and three Scalar .
@return
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
csys | Cartesian Coordinate System |
scalarX | X location |
scalarY | Y location |
scalarZ | Z location |
updateOption | update option |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::Point * | point1, |
NXOpen::Point * | point2, | ||
NXOpen::Scalar * | distancePercentage, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point between two points using a Scalar that represents a percentage of the distance between the points.
The distance is measured from the first point to the second point. There is no limit on the percentage so the point can be outside the area between the two points.
point1 | point1 |
point2 | point2 |
distancePercentage | distance percentage |
updateOption | update option |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::Expression * | exp, |
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point via an Expression .
@return
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
exp | EXP Point |
updateOption | update option |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::CAE::CAEFace * | face, |
NXOpen::Point * | projectedPoint, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a point by projecting onto a face.
@return
Created in NX6.0.1.
License requirements : nx_masterfem ("Finite Element Modeling")
face | the face to project to |
projectedPoint | the point to project onto the face |
updateOption | update option |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::ScCollector * | faces, |
NXOpen::IBaseCurve * | curve, | ||
NXOpen::Point * | helpPt1, | ||
NXOpen::Point * | helpPt2, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point at the intersection of a connected set of faces and IBaseCurve .
@return
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::SmartObject::UpdateOption | updateOption, |
NXOpen::Annotations::Annotation * | annotation, | ||
NXOpen::Scalar * | t, | ||
int | side, | ||
int | block, | ||
bool | attachFcfToDim | ||
) |
Creates a Point on a Annotations::Annotation and Scalar representing the T parameter.
@return
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
updateOption | update option |
annotation | annotation |
t | t |
side | side |
block | block |
attachFcfToDim | attach fcf to dim |
NXOpen::Point* NXOpen::PointCollection::CreatePoint | ( | NXOpen::IBaseCurve * | splarc, |
NXOpen::View * | view | ||
) |
Creates a Point at the center of a splarc.
@return
Created in NX8.0.0.
License requirements : drafting ("DRAFTING")
splarc | splarc |
view | view |
NXOpen::Point* NXOpen::PointCollection::CreatePointOnPortExtractAlign | ( | NXOpen::SmartObject::UpdateOption | updateOption, |
NXOpen::Routing::Port * | port, | ||
NXOpen::Scalar * | distance | ||
) |
Creates a Point at a Routing::Port .
The @link Routing::Port Routing::Port@endlink will be extraced into the work part if necessary. If the @link Routing::Port Routing::Port@endlink has already been extracted, the existing extract will be used. If extraction is not required, the input @link Routing::Port Routing::Port@endlink will be used. @return
Created in NX6.0.0.
License requirements : routing_base ("Routing Basic")
updateOption | update option |
port | Routing::Port |
distance | Scalar Distance |
NXOpen::Point* NXOpen::PointCollection::CreatePointOnSectionCG | ( | NXOpen::SmartObject::UpdateOption | updateOption, |
NXOpen::TaggedObject * | face | ||
) |
Creates a Point on the center of gravity of the sketch for a given sheet metal feature face in history free mode.
Supports Dimple, Bead, Louver, Drawn Cutout and Normal Cutout. A Null object will be returned if an inapproriate face is passed as an argument.
updateOption | Update option of smart object |
face | the feature face to associate the point with |
NXOpen::Point* NXOpen::PointCollection::CreatePointOnSurfaceAxis | ( | NXOpen::TaggedObject * | face, |
NXOpen::Scalar * | parameter, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
NXOpen::Point* NXOpen::PointCollection::CreateQuadrantPoint | ( | NXOpen::IBaseCurve * | curveOrEdge, |
int | quadrant, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a quadrant point.
curveOrEdge | Must be circular or elliptical |
quadrant | 0 to 3 |
updateOption | update option |
NXOpen::Point* NXOpen::PointCollection::CreateStockOffsetPoint | ( | NXOpen::Point * | basePoint, |
NXOpen::Direction * | offsetDirr, | ||
const NXString & | offsetExpression, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Routing "Stock Offset" point.
This stock offset point offsets itself from the input base point along the specified direction. The input expression determines the distance between the base point and the offset point. The input expression may reference the variable "MAX_PATH_STOCK_DIA" which is replaced by the current maximum diameter of stock applied to Routing segments that refer to the offset point.
NXOpen::Point* NXOpen::PointCollection::CreateStockOffsetPoint | ( | NXOpen::Point * | basePoint, |
NXOpen::Direction * | offsetDirr, | ||
const char * | offsetExpression, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Routing "Stock Offset" point.
This stock offset point offsets itself from the input base point along the specified direction. The input expression determines the distance between the base point and the offset point. The input expression may reference the variable "MAX_PATH_STOCK_DIA" which is replaced by the current maximum diameter of stock applied to Routing segments that refer to the offset point.
NXOpen::Point* NXOpen::PointCollection::CreateVirtualIntersectionPoint | ( | NXOpen::IBaseCurve * | curve1, |
NXOpen::IBaseCurve * | curve2, | ||
NXOpen::Point * | helpPt1, | ||
NXOpen::Point * | helpPt2, | ||
NXOpen::SmartObject::UpdateOption | updateOption | ||
) |
Creates a Point at the virtual intersection of two linear Edges or Curves.
@return
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
void NXOpen::PointCollection::DeletePoint | ( | NXOpen::Point * | point | ) |
iterator NXOpen::PointCollection::end | ( | ) |
Returns an iterator addressing one past the last element.
NXOpen::Point* NXOpen::PointCollection::FindObject | ( | const NXString & | journalIdentifier | ) |
Finds the Point with the given identifier as recorded in a journal.
An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals. An exception will be thrown if no object can be found with the given journal identifier. @return
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
journalIdentifier | Identifier of the Point you want |
NXOpen::Point* NXOpen::PointCollection::FindObject | ( | const char * | journalIdentifier | ) |
Finds the Point with the given identifier as recorded in a journal.
An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals. An exception will be thrown if no object can be found with the given journal identifier. @return
Created in NX3.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR nx_masterfem ("Finite Element Modeling")
journalIdentifier | Identifier of the Point you want |
void NXOpen::PointCollection::RemoveParameters | ( | NXOpen::Point * | point | ) |
tag_t NXOpen::PointCollection::Tag | ( | ) | const |
Returns the tag of this object.